<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 4) {
switch($mode) {
case 'new':
$diz -> head('Новая комната');
$diz -> title('Добавление комнаты');
if (empty($_POST['name'])) {
$msg .= '<div class="fon"><form action="chat.php?mode=new" method="post"><div>
Название:<br/><input type="text" name="name" value="" maxlength="12"/></br>
Топик:<br/><input type="text" name="top" value="" maxlength="24"/></br>';
$msg .= '<input type="submit" value="Добавить"/></form></div>';
} else {
$maxsid = $db -> dbcount('MAX(`sid`)','chat');
$name = shit($_POST['name']);
$top = shit($_POST['top']);
$db -> query("Insert `chat` SET `name` = '".$name."',`topik` = '".$top."',`sid`=$maxsid+1,`time` = '".time()."'");
$msg .= '<div class="fon">Комната '.$name.' успешно создана!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="chat.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  

case 'menu':
$sql = $db -> query("SELECT * FROM `chat` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Данные комнаты');
$diz -> title('Изменяем данные');
if (empty($_POST['name'])) {
$msg = '<div class="fon">Комната: '.$menu['name'].'<br/>';
$msg .= 'Положение: #'.$menu['sid'].'<hr/>';

$msg .= '<form action="chat.php?mode=menu&amp;id='.$id.'" method="post"><div>
Название:<br/><input type="text" name="name" value="'.$menu['name'].'" maxlength="12"/></br>';
$msg .= 'Топик:<br/><input type="text" name="topik" value="'.$menu['topik'].'" maxlength="24"/></br>
<input type="submit" value="Изменить"/></form></div>';
} else {
$name = shit($_POST['name']);
$top = shit($_POST['top']);
$db -> query("UPDATE `chat` SET `name` = '".$name."',`topik` = '".$top."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="chat.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ./chat.php?do=menu');
break;

case 'del':
if (!$id) $id = $ya['id'];
$sql = $db -> query("SELECT * FROM `chat` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `chat` where `id` = '".$id."'");
$diz -> head('Удаление комнаты');
$diz -> title('Управление чатом');
$msg .= '<div class="fon">Комната была успешно удалена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="chat.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Удаление модуля');
$diz -> title('Удаление модуля');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данную комнату?';
$msg .= '<br/><a href="./chat.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./chat.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('Location: ./chat.php?do=menu');
break;

case 'up':
$sql = $db -> query("SELECT * FROM `chat` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `chat` SET `sid` =sid+1 WHERE `sid`=sid-1");
$db -> query("UPDATE `chat` SET `sid`=sid-2 WHERE `id` = '".$id."'");
header('Location: ./chat.php?do=menu');
} else header('Location: ./chat.php?do=menu');
break;

case 'foot':
$sql = $db -> query("SELECT * FROM `chat` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `chat` SET `sid` =sid-2 WHERE `sid`=sid+1");
$db -> query("UPDATE `chat` SET `sid`=sid+2 WHERE `id` = '".$id."'");
header('Location: ./chat.php?do=menu');
} else header('Location: ./chat.php?do=menu');
break;

default:
$diz -> head('Комнаты чата');
$diz -> title('Комнаты чата');
$sql = $db -> query("SELECT * FROM `chat` ORDER BY `sid`");
while ($room = $sql -> fetch_assoc()) {
$msg .= '<div class="post">'.$room['sid'].') '.$room['name'].' </br>';
$msg .='<a href="./chat.php?mode=menu&amp;id='.$room['id'].'">Редактировать</a> | <a href="./chat.php?mode=del&amp;id='.$room['id'].'">Удалить</a></br>';
$msg .='Передвинуть: <a href="./chat.php?mode=up&amp;id='.$room['id'].'">Вверх</a> | <a href="./chat.php?mode=foot&amp;id='.$room['id'].'">Вниз</a></div>';
}
$msg .= '<div class="tochechki"><a href="./chat.php?mode=new">Добавить комнату</a>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else{$msg .='У вас нету прав!';}
} else header('location: index.php');
?>